Agent Governance Protocol
API ReferenceDecision APIPolicy

Record policy decision

POST
/agp/policy-decisions

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/policy-decisions" \  -H "Content-Type: application/json" \  -d '{    "type": "PolicyDecision",    "policy_decision_id": "string",    "decision_ref": "string",    "result": "allow",    "matched_rules": [      "string"    ],    "obligations": [      "string"    ],    "evaluated_at": "2019-08-24T14:15:22Z"  }'
{  "type": "PolicyDecision",  "policy_decision_id": "string",  "decision_ref": "string",  "result": "allow",  "matched_rules": [    "string"  ],  "obligations": [    "string"  ],  "evaluated_at": "2019-08-24T14:15:22Z",  "ethical_framework": {    "primary": "veil_of_ignorance",    "secondary": [      "veil_of_ignorance"    ],    "prohibitions": [      "string"    ],    "policy_ref": "string"  },  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}